Subject: Re: Gitweb: Scan dir for repos & show these other specified repos

From: Jakub Narebski <[email-masked]>
Date: Mon, 01 Mar 2010 11:55:54 -0800 (PST)

"Mike.lifeguard" <[email-masked]> writes:

> Is it possible to have gitweb show all repositories in /path/to/wherever
> and also show some other repositories at particular locations like
> /home/user/git/repo1 and /home/user2/git/repo2 ? Or better yet, scan
> multiple dirs? Currently I can only see how to do one or the other
> within a single gitweb installation. I suppose I could run two of them...

It is not possible with $projects_list being directory (or undefined,
which means to take $projectroot), but I think it is possible with
$projects_list being a file.

You would have to set $projectroot to common prefix (it might be
empty, i.e. '' if there is no common prefix), then list there all
repositories, relative to $projectroot.  See gitweb/README and
gitweb/INSTALL, and comments in gitweb.perl for details on file
format.

P.S. It probably be a good idea to have something like mod_userdir,
but gitweb currently doesn't support something like that.

P.P.S. Alternate solution would be to try to work around it with
automount / autofs or something like that.
-- 
Jakub Narebski
Poland
ShadeHawk on #git